module.exports = function (grunt) {
    grunt.initConfig({
        //tasks in here in object notation
        less: {
            dev: {
                options: {
                    compress: false,
                    sourceMap: true,
                    dumpLineNumbers: 'comments',
                    plugins: [
                        new (require('less-plugin-autoprefix'))({ browsers: ["last 2 versions"] })
                    ],
                },
                files: {
                    "styles/custom-webkit.css": "src/custom-webkit.less"

                }
            },
            dist: {
                options: {
                    compress: true,
                    sourceMap: false,
                    plugins: [
                        new (require('less-plugin-autoprefix'))({ browsers: ["last 2 versions"] })
                    ],
                },
                files: {
                    "styles/custom-webkit.css": "src/custom-webkit.less"
                }
            },
        },

        jshint: {
            all: ['js/**/*.js']
        },

        watch: {
            html: {
                files: ['*.html'],
                options: {
                    livereload: true,
                }
            },
            css: {
                files: ['src/**/*.less'],
                tasks: ['less:dev'],
                options: {
                    livereload: true,
                }
            },
            scripts: {
                files: ['assets/scripts/*.js'],
                tasks: ['jshint'],
                options: {
                    event: ['all'],
                    // livereload: true,
                }
            }
        }
    });

    require('load-grunt-tasks')(grunt);


    grunt.registerTask('default', ['less:dev']);
    grunt.registerTask('live', ['less:dist']);
    grunt.registerTask('dev', ['watch']);
};
